SDL_AddAtomicInt(3)

NAME
SDL_AddAtomicInt - Add to an atomic variable.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_AddAtomicInt(SDL_AtomicInt *a, int v);

DESCRIPTION
This function also acts as a full memory barrier. Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to an SDL_AtomicInt
     variable to be modified.

v   the desired value to add.

RETURN VALUE
Returns the previous value of the atomic variable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AtomicDecRef(3), •(3), SDL_AtomicIncRef(3)